#
# File: Demo3_GCC.make
#
# Copyright (c) 2017-2018, Code-Time Technologies Inc.
# All rights reserved.		
#

# NOTE:
# This Makefile includes "Common_GCC.make" which contains the common part of all makefiles
# It is done to simplify the work needed when something is changed for a target or for a demo #
#
# ----------------------------------------------------------------------------------------------------

MAKE_NAME := Demo3_GCC.make					# For full re-build if I'm modified

											# The path order of in VPATH is important
VPATH   :=  ../../src						# This is due to multiple file with same names
VPATH   += :../../../Abassi
VPATH   += :../../../Platform/src
VPATH   += :../../../Drivers/src
VPATH   += :../../../Share/src

C_SRC   :=
C_SRC   += Demo_3_CORTEXA53.c
C_SRC   += SysCall_noFS.c
C_SRC   += TIMERinit.c
C_SRC   += cd_uart.c
											# Assembly files
S_SRC   :=
											# Object files
O_SRC   :=

AFLAGS  :=
CFLAGS  :=
LFLAGS  :=
LIBS    := 

# ----------------------------------------------------------------------------------------------------

C_INC   := 									# All "C" include files for dependencies
C_INC   += ../../../Abassi/mAbassi.h
C_INC   += ../../../Abassi/SysCall.h
C_INC   += ../../../Platform/inc/Platform.h
C_INC   += ../../../Platform/inc/HWinfo.h
C_INC   += ../../../Platform/inc/AbassiLib.h
C_INC   += ../../../Drivers/inc/cd_uart.h
											# Compiler command line options. The -I order is important
CFLAGS  += -g -O3 -Wall
CFLAGS  += -I../../inc
CFLAGS  += -I../../../Abassi
CFLAGS  += -I../../../Platform/inc
CFLAGS  += -I../../../Drivers/inc
CFLAGS  += -I../../../Share/inc

CFLAGS  += -DOS_START_STACK=32768
CFLAGS  += -DUART_FULL_PROTECT=1
											# Assembler command line options
AFLAGS  += -g

# ----------------------------------------------------------------------------------------------------

include ../Common_GCC.make

# EOF

